Skip to content

Agents and workflows ​

AI agents, workflows and their runs.

Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).

List AI models ​

GET /api/v1/models

Authentication: none.

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/models"

List agents ​

GET /api/v1/teams/{tid}/agents

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/agents" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Create agent ​

POST /api/v1/teams/{tid}/agents

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
modelstringnodefault "claude-opus-5-5"
system_promptstringnomax length 100000, default "You are a helpful agent."
toolsarray of stringno
max_stepsintegernomin 1, max 100, default 10
temperaturenumbernomin 0, max 1, default 1

Response

201: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/agents" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Get agent ​

GET /api/v1/agents/{aid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
aidpathstring (UUID)yes

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/agents/$AGENT_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Update agent ​

PATCH /api/v1/agents/{aid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
aidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringnomin length 1, max length 100, can be null
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
modelstringnocan be null
system_promptstringnomax length 100000, can be null
toolsarray of stringnocan be null
max_stepsintegernomin 1, max 100, can be null
temperaturenumbernomin 0, max 1, can be null

Response

200: JSON.

Example

bash
curl -X PATCH "https://api.fjordrun.com/api/v1/agents/$AGENT_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Delete agent ​

DELETE /api/v1/agents/{aid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
aidpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/agents/$AGENT_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Chat with an agent ​

POST /api/v1/agents/{aid}/chat

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
aidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
messagesarray of ChatMessageyesmin 1 items, max 200 items

Response

200: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/agents/$AGENT_ID/chat" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"messages":[{"role":"user","content":"string"}]}'

List workflows ​

GET /api/v1/teams/{tid}/workflows

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/workflows" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Create workflow ​

POST /api/v1/teams/{tid}/workflows

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringyesmin length 1, max length 150
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
definitionobjectnocan be null
triggersarray of TriggerInnocan be null

Response

201: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/workflows" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Get workflow ​

GET /api/v1/workflows/{wid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
widpathstring (UUID)yes

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/workflows/$WORKFLOW_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Update workflow ​

PATCH /api/v1/workflows/{wid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
widpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringnomin length 1, max length 150, can be null
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
definitionobjectnocan be null
triggersarray of TriggerInnocan be null
is_activebooleannocan be null

Response

200: JSON.

Example

bash
curl -X PATCH "https://api.fjordrun.com/api/v1/workflows/$WORKFLOW_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Delete workflow ​

DELETE /api/v1/workflows/{wid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
widpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/workflows/$WORKFLOW_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Run a workflow ​

POST /api/v1/workflows/{wid}/runs

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
widpathstring (UUID)yes

Request body

An empty object.

Response

201: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/workflows/$WORKFLOW_ID/runs" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

List runs ​

GET /api/v1/workflows/{wid}/runs

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
widpathstring (UUID)yes
limitqueryintegernomin 1, max 200, default 30

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/workflows/$WORKFLOW_ID/runs" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Get run ​

GET /api/v1/runs/{rid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
ridpathstring (UUID)yes

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/runs/$RUN_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Cancel run ​

POST /api/v1/runs/{rid}/cancel

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
ridpathstring (UUID)yes

Response

200: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/runs/$RUN_ID/cancel" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Approve run ​

POST /api/v1/runs/{rid}/approve

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
ridpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
node_idstringyes
approvedbooleanyes
commentstringnomax length 2000, can be null

Response

200: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/runs/$RUN_ID/approve" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"node_id":"string","approved":true}'

Stream a run ​

GET /api/v1/runs/{rid}/stream

Authentication: a team API token or personal access token.

Response: a stream of Server-Sent Events. Browsers cannot set headers on an EventSource, so the token may also be passed as the token query parameter.

Parameters

NameInTypeRequiredDescription
ridpathstring (UUID)yes
tokenquerystringnocan be null

Response

200: JSON.

Example

bash
curl "https://api.fjordrun.com/api/v1/runs/$RUN_ID/stream" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Trigger a workflow by webhook ​

POST /api/v1/hooks/workflows/{wid}/{secret}

Authentication: none.

Parameters

NameInTypeRequiredDescription
widpathstring (UUID)yes
secretpathstringyes

Response

200: JSON.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/hooks/workflows/$WORKFLOW_ID/$SECRET"

Request objects ​

AgentIn ​

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
modelstringnodefault "claude-opus-5-5"
system_promptstringnomax length 100000, default "You are a helpful agent."
toolsarray of stringno
max_stepsintegernomin 1, max 100, default 10
temperaturenumbernomin 0, max 1, default 1

AgentPatch ​

FieldTypeRequiredDescription
namestringnomin length 1, max length 100, can be null
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
modelstringnocan be null
system_promptstringnomax length 100000, can be null
toolsarray of stringnocan be null
max_stepsintegernomin 1, max 100, can be null
temperaturenumbernomin 0, max 1, can be null

ApproveIn ​

FieldTypeRequiredDescription
node_idstringyes
approvedbooleanyes
commentstringnomax length 2000, can be null

ChatIn ​

FieldTypeRequiredDescription
messagesarray of ChatMessageyesmin 1 items, max 200 items

ChatMessage ​

FieldTypeRequiredDescription
role"user", "assistant"yes
contentstringyesmax length 200000

TriggerIn ​

FieldTypeRequiredDescription
type"manual", "cron", "webhook", "api"yes
cronstringnocan be null

WorkflowIn ​

FieldTypeRequiredDescription
namestringyesmin length 1, max length 150
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
definitionobjectnocan be null
triggersarray of TriggerInnocan be null

WorkflowPatch ​

FieldTypeRequiredDescription
namestringnomin length 1, max length 150, can be null
descriptionstringnomax length 2000, can be null
project_idstring (UUID)nocan be null
definitionobjectnocan be null
triggersarray of TriggerInnocan be null
is_activebooleannocan be null

Fjordrun is hosted in the EU (Hetzner, Nuremberg, Germany). Private beta.